using SqlSugar;

namespace OpenAuth.Repository.Domain.GoView;

/// <summary>
/// 组件模型类
/// </summary>
[SugarTable("t_goview_component")]
public class GoviewComponent
{
    [SugarColumn(IsPrimaryKey = true, ColumnName = "id")]
    public string Id { get; set; }

    /// <summary>
    /// 组件名称
    /// </summary>
    [SugarColumn(ColumnName = "component_name")]
    public string ComponentName { get; set; }


    [SugarColumn(IsNullable = true, ColumnName = "create_time")]
    public string CreateTime { get; set; }

    /// <summary>
    /// 创建人id
    /// </summary>
    [SugarColumn(ColumnName = "create_user_id")]
    public string CreateUserId { get; set; }

    /// <summary>
    /// 组件数据
    /// </summary>
    [SugarColumn(ColumnName = "component_data")]
    public string ComponentData { get; set; }
}